#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,x;
    cin>>n>>x;
    int a[n+1]; a[0]=x;
    int br=0,br2=0;
    for(int i=1;i<n+1; i++){
        cin>>a[i];
    }
    for(int i=0; i<n-1; i++){
        for(int j=i+1; j<n; j++){
            if(a[i]>a[j]){
                int t = a[i];
                a[i]=a[j];
                a[j]=t;
            }
        }
    }
    for(int i=1;i<n+1; i++){
        if(a[i]<=x){
            br+=abs(a[i-1]-a[i]);
        }else{
            br2+=abs(a[i-1]-a[i]);
        }
    }
    cout<<(br*2)+br2<<endl;
}